> ## Documentation Index
> Fetch the complete documentation index at: https://docs.freeplay.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Project Tags

> 
Retrieve all tags in a project. Optionally filter by entity type (e.g., 'dataset').



## OpenAPI

````yaml https://app.freeplay.ai/openapi.json get /api/v2/projects/{project_id}/tags
openapi: 3.1.0
info:
  title: Freeplay API
  version: 0.1.0
servers: []
security:
  - BearerAuth: []
paths:
  /api/v2/projects/{project_id}/tags:
    get:
      tags:
        - Tags
      summary: List Project Tags
      description: >-

        Retrieve all tags in a project. Optionally filter by entity type (e.g.,
        'dataset').
      operationId: get_list_tags
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
        - name: entity_type
          in: query
          schema:
            default: null
            title: Entity Type
            type:
              - string
              - 'null'
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  tags:
                    items:
                      $ref: '#/components/schemas/TagResponse'
                    title: Tags
                    type: array
                required:
                  - tags
                title: TagsListResponse
                type: object
          description: >-
            TagsListResponse(tags:
            list[server.api_routes.tags_api_v2.TagResponse])
components:
  schemas:
    TagResponse:
      properties:
        id:
          title: Id
          type: string
        name:
          title: Name
          type: string
        color:
          title: Color
          type: string
        association_count:
          default: 0
          title: Association Count
          type: integer
      required:
        - id
        - name
        - color
      title: TagResponse
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````